Package be.fgov.ehealth.aa.complextype.v1

# Class HealthCareProfessional

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.IndividualType
be.fgov.ehealth.aa.complextype.v1.HealthCareProfessional

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class HealthCareProfessional extends IndividualType implements Serializable
Identifier(s), name(s) and profession(s) of a healthcare professional.

Java class for HealthCareProfessionalType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HealthCareProfessionalType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}IndividualType">
           <sequence>
             <element name="Profession" type="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionTypeV3" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HealthCareProfessional()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ProfessionV3>`
  `getProfessions()`
  Gets the value of the professions property.

  ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.IndividualType

  `getBirthDate, getDeathDate, getFirstName, getGender, getLanguage, getLastName, getMiddleNames, getSSIN, setBirthDate, setDeathDate, setFirstName, setGender, setLanguage, setLastName, setMiddleNames, setSSIN`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HealthCareProfessional

    public HealthCareProfessional()

- ## Method Details

  - ### getProfessions

    public List<ProfessionV3> getProfessions()
    Gets the value of the professions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professions property.

    For example, to add a new item, do as follows:

         getProfessions().add(newItem);

    Objects of the following type(s) are allowed in the list `ProfessionV3`

    Returns:
      The value of the professions property.